<?php
/*
* 2007-2022 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2022 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

class VatCheckerTaxManager implements TaxManagerInterface
{
    private static $_isAvailable = false;
    private static $_isAvailable_returned = false;

	public static function isAvailableForThisAddress(Address $address)
	{
        if (!self::$_isAvailable_returned) {
            static $id_customer = null;
            if (!$id_customer && $address->id_customer) {
                $id_customer = (int) $address->id_customer;
            }
            $cfg = VatChecker::$config;
            if ($id_customer && $cfg['VATCHECKER_LIVE_MODE']) {
                if (VatChecker::$valid_force || in_array($cfg['VATCHECKER_NO_TAX_GROUP'], Customer::getGroupsStatic($id_customer))) {
                    self::$_isAvailable = true;
                }
            }
            self::$_isAvailable_returned = true;
        }
        return self::$_isAvailable;
	}

	public function getTaxCalculator()
	{
		$tax = new Tax();
		$tax->rate = 0;
		return new TaxCalculator([$tax]);
	}
}